#! /bin/sh -e

documents_path=$(xdg-user-dir DOCUMENTS)

cd $(dirname "$0")
ARCH=$(uname -m)

mkdir -p "$HOME/.vst/"
mkdir -p "$HOME/.vst3/"

if test $ARCH = x86_64 ; then
    cp "Scope.so" "$HOME/.vst/Scope.so"
    cp -r "Scope.vst3/" "$HOME/.vst3/Scope.vst3/"
    cp "Schroeder.so" "$HOME/.vst/Scope.so"
    cp -r "Schroeder.vst3/" "$HOME/.vst3/Schroeder.vst3/"
    cp "ThrillMe.so" "$HOME/.vst/ThrillMe.so"
    cp -r "ThrillMe.vst3/" "$HOME/.vst3/ThrillMe.vst3/"
else
    echo "32-bit is not supported."
    exit 1
fi

echo "Installation finished."